Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp đổi màu nền của cad


  • Please log in to reply
4 replies to this topic

#1 khanhduydang

khanhduydang

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 08 December 2011 - 07:33 AM

Tôi làm công việc thường xuyên phải chuyển từ màu nền màn hình đen sang trắng và ngược lại từ trắng sang đen.
Hy vọng a e giúp đỡ 1 lệnh tắt để chuyển qua lại 2 màu này cho nhanh.
Xin cảm ơn.

Thông thường muốn chuyển thì chọn Options | Tab Display | Colors | chọn màu | OK
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 08 December 2011 - 07:52 AM

Ketxu đã post lisp auto switch rồi, bạn search sẽ thấy :)
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 khanhduydang

khanhduydang

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 08 December 2011 - 10:02 AM

Cám ơn Ketxu đã chỉ cái auto switch.
Nhưng công việc của mình đơn giản là muốn chuyển theo kiểu
gõ số 8 | enter 1 cái thì nó tự động biết chuyển tử trằng sang đen hoặc ngược lại
nếu trong 1 lệnh mà làm ngược lại phức tạp quá thì mình có thể làm thêm
gõ số 9 | enter cái thì đen chuyển sang trắng
Cám ơn Ketxu!
  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 08 December 2011 - 10:17 AM

Cám ơn Ketxu đã chỉ cái auto switch.
Nhưng công việc của mình đơn giản là muốn chuyển theo kiểu
gõ số 8 | enter 1 cái thì nó tự động biết chuyển tử trằng sang đen hoặc ngược lại
nếu trong 1 lệnh mà làm ngược lại phức tạp quá thì mình có thể làm thêm
gõ số 9 | enter cái thì đen chuyển sang trắng
Cám ơn Ketxu!


Đây bạn! Lisp này tôi mót được của By Jimmy Bergmark (thank you). Lệnh BGT. Gõ BGT: chuyển đen qua trắng, gõ tiếp BGT: chuyển trắng qua đen. Cứ thế tiếp tục...

;----- Set the background in model and paper space to white
(defun c:BGWhite ()
(vl-load-com)
(setq disp (vla-get-display (vla-get-preferences (vlax-get-acad-object))))
(setq drafting (vla-get-drafting (vla-get-preferences (vlax-get-acad-object))))
(vla-put-GraphicsWinModelBackgrndColor disp 16777215)
(vla-put-GraphicsWinLayoutBackgrndColor disp 16777215)
(vla-put-LayoutCrosshairColor disp 0)
(vla-put-ModelCrosshairColor disp 0)
(vla-put-AutoTrackingVecColor disp 0)
(vla-put-AutoSnapMarkerColor drafting 6)
(princ))
;----- Set the background in model and paper space to black
(defun c:BGBlack ()
(vl-load-com)
(setq disp (vla-get-display (vla-get-preferences (vlax-get-acad-object))))
(setq drafting (vla-get-drafting (vla-get-preferences (vlax-get-acad-object))))
(vla-put-GraphicsWinModelBackgrndColor disp 0)
(vla-put-GraphicsWinLayoutBackgrndColor disp 0)
(vla-put-LayoutCrosshairColor disp 16777215)
(vla-put-ModelCrosshairColor disp 16777215)
(vla-put-AutoTrackingVecColor disp 16777215)
(vla-put-AutoSnapMarkerColor drafting 2)
(princ))
;----- Background toggle between black and white
(defun c:bgt ()
(vl-load-com)
(setq disp (vla-get-display (vla-get-preferences (vlax-get-acad-object))))
(setq drafting (vla-get-drafting (vla-get-preferences (vlax-get-acad-object))))
(if (= (vlax-variant-value (vlax-variant-change-type (vla-get-graphicswinmodelbackgrndcolor disp) vlax-vblong)) 0)
(c:bgwhite)
(c:bgblack))
(princ))
(princ)

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 khanhduydang

khanhduydang

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 08 December 2011 - 10:49 AM

Cám Doan Van Ha vấn đề của tớ đã được giải quyết xong.
Cám ơn bạn rất nhiều.
  • 0